Update communication thread
curl --request PATCH \
--url https://www.carstoragesoftware.com/api/v1/communication-threads/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "sms",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalPhone": "<string>",
"assignedUserId": "<string>",
"status": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: 'sms',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
externalPhone: '<string>',
assignedUserId: '<string>',
status: '<string>'
})
};
fetch('https://www.carstoragesoftware.com/api/v1/communication-threads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/communication-threads/{id}"
payload = {
"channel": "sms",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalPhone": "<string>",
"assignedUserId": "<string>",
"status": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"channel": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalPhone": "<string>",
"assignedUserId": "<string>",
"status": "<string>",
"lastMessageAt": "2023-11-07T05:31:56Z",
"lastMessagePreview": "<string>",
"unreadCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Threads
Update communication thread
Requires write:communications. Changing recipient fields re-validates against team customers.
PATCH
/
api
/
v1
/
communication-threads
/
{id}
Update communication thread
curl --request PATCH \
--url https://www.carstoragesoftware.com/api/v1/communication-threads/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "sms",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalPhone": "<string>",
"assignedUserId": "<string>",
"status": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: 'sms',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
externalPhone: '<string>',
assignedUserId: '<string>',
status: '<string>'
})
};
fetch('https://www.carstoragesoftware.com/api/v1/communication-threads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/communication-threads/{id}"
payload = {
"channel": "sms",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalPhone": "<string>",
"assignedUserId": "<string>",
"status": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"channel": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalPhone": "<string>",
"assignedUserId": "<string>",
"status": "<string>",
"lastMessageAt": "2023-11-07T05:31:56Z",
"lastMessagePreview": "<string>",
"unreadCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Path Parameters
Body
application/json
Response
Updated.
Show child attributes
Show child attributes
Was this page helpful?
⌘I